Package org.kapott.hbci.manager

## Class ChallengeInfo.Job

- java.lang.Object
- - org.kapott.hbci.manager.ChallengeInfo.Job

Enclosing class:
  ChallengeInfo

    public static class ChallengeInfo.Job
    extends java.lang.Object

Eine Bean fuer die Parameter-Saetze eines Geschaeftsvorfalles fuer die HHD-Versionen.

### Method Summary

All Methods Instance Methods Concrete Methods
`ChallengeInfo.HhdVersion` `getVersion​(java.lang.String version)` Liefert die Challenge-Parameter fuer die angegeben HHD-Version.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getVersion

    public ChallengeInfo.HhdVersion getVersion​(java.lang.String version)

Liefert die Challenge-Parameter fuer die angegeben HHD-Version.

Parameters:
  `version` - die HHD-Version.
Returns:
  die Challenge-Parameter fuer die HHD-Version.